#
# spec file for package python-Markups
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Markups
Version:        0.6.1
Release:        4.1
Summary:        A wrapper around various text markups
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/mitya57/pymarkups
Source:         http://pypi.python.org/packages/source/M/Markups/Markups-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-importlib
Requires:       python-importlib
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This module provides a wrapper around the various text markup languages,
such as Markdown and reStructuredText (these two are supported by default).

%prep
%setup -q -n Markups-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst examples
%{python_sitelib}/*

%changelog
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 0.6.1:
  * PyMarkups now uses warnings system instead of printing messages
    to stderr
  * Improvements to Markdown markup:
    + Fixed parsing math that contains nested environments
    + Fixed crash on extensions names starting with dot
  * Miscellaneous fixes
- additional changes from version 0.6:
  * Custom markups are now normal Python modules
  * Web module no longer supports Python 2.x
  * Refactor the code related to Markdown extensions to make it
    work with upcoming Python-Markdown releases
  * MathJax extension is now in a separate module
- additional changes from version 0.5.2:
  * Fixed loading of Markdown extensions with options
- additional changes from version 0.5.1:
  * Fixed Markdown markup crash on empty files
  * Include documentation in the tarballs
  * Testsuite improvements
- additional changes from version 0.5:
  * Improvements to Markdown markup:
    + All math delimeters except $...$ are now enabled by default
    + remove_extra extension now disables formulas support
    + It is now possible to specify required extensions in the
    first line of the file
  * Add Sphinx documentation
- additional changes from version 0.4:
  * Add Textile markup
  * reStructuredText markup now supports file names and settings
    overrides
  * Web module now raises WebUpdateError when updating fails
- additional changes from version 0.3:
  * MathJax support in Markdown has been improved and no longer
    relies on tex2jax extension
  * It is now possible to pass extensions list to MarkdownMarkup
    constructor
  * Pygments style is now configurable
  * Testsuite improvements
- update project URL
- add python-importlib as a dependency for SLE11
- rename README to README.rst: changed upstream
* Wed Feb  6 2013 saschpe@suse.de
- Completely redone spec file
* Sat Feb  2 2013 i@marguerite.su
- initial version 0.2.4
  * no changelog for this version (yet).
